
From: Roland Dreier <roland@topspin.com>

Release mutex on error return path from mthca_alloc_db().

Signed-off-by: Roland Dreier <roland@topspin.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/infiniband/hw/mthca/mthca_memfree.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/infiniband/hw/mthca/mthca_memfree.c~ib-mthca-release-mutex-on-doorbell-alloc-error-path drivers/infiniband/hw/mthca/mthca_memfree.c
--- 25/drivers/infiniband/hw/mthca/mthca_memfree.c~ib-mthca-release-mutex-on-doorbell-alloc-error-path	Fri Apr  1 14:14:30 2005
+++ 25-akpm/drivers/infiniband/hw/mthca/mthca_memfree.c	Fri Apr  1 14:14:30 2005
@@ -337,7 +337,8 @@ int mthca_alloc_db(struct mthca_dev *dev
 		break;
 
 	default:
-		return -1;
+		ret = -EINVAL;
+		goto out;
 	}
 
 	for (i = start; i != end; i += dir)
_
